Bug 565099

Summary: FTBFS subtitlecomposer-0.5.3-3.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: subtitlecomposerAssignee: Steven M. Parrish <smparrish>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 13CC: bruno, smparrish
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:58:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 564245, 583278    
Description Flags
Spec file patch
CMakeList.txt in gstreamer dir
CMakeList.txt patch in scripting dir that includes krosscore
CMakeList.txt patch in the main dir to pull in scripting libs
CMakeList.txt patch for the phonon dir none

Description FTBFS 2010-02-13 12:53:55 EST
subtitlecomposer-0.5.3-3.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:53:59 EST
Created attachment 393512 [details]

root.log for i386
Comment 2 FTBFS 2010-02-13 12:54:00 EST
Created attachment 393513 [details]

build.log for i386
Comment 3 FTBFS 2010-02-13 12:54:01 EST
Created attachment 393514 [details]

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:54:04 EST
Created attachment 393515 [details]

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:54:05 EST
Created attachment 393516 [details]

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:54:06 EST
Created attachment 393517 [details]

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:56:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
Comment 8 Bruno Wolff III 2010-04-26 00:43:44 EDT
Created attachment 409055 [details]
Spec file patch

I took a look at this bug as part of my Fedora Engineering Services tasks.
I was able to get it to build locally using rpmbuild.
I am attaching a spec file patch and some CMakeList.txt file patches.
The spec file has a changelog entry, but feel free to drop me from that.
Comment 9 Bruno Wolff III 2010-04-26 00:45:14 EDT
Created attachment 409056 [details]
CMakeList.txt in gstreamer dir
Comment 10 Bruno Wolff III 2010-04-26 00:47:09 EDT
Created attachment 409058 [details]
CMakeList.txt patch in scripting dir that includes krosscore
Comment 11 Bruno Wolff III 2010-04-26 00:49:01 EDT
Created attachment 409059 [details]
CMakeList.txt patch in the main dir to pull in scripting libs
Comment 12 Bruno Wolff III 2010-04-26 00:49:59 EDT
Created attachment 409060 [details]
CMakeList.txt patch for the phonon dir
Comment 13 Jan Klepek 2011-03-13 15:43:04 EDT

Do you need any help with this bug? Do you have any progress on this issue?
Comment 14 Bug Zapper 2011-06-02 12:32:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 15 Bug Zapper 2011-06-27 10:58:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.